# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           R2spec
Version:        3.0.3
Release:        1%{?dist}
Summary:        Python script to generate R spec file

Group:          Development/Languages
License:        GPLv3+
URL:            https://fedorahosted.org/r2spec/
Source0:        https://fedorahosted.org/releases/r/2/r2spec/R2spec-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       R python-jinja2 wget fedora-packager
Provides:       R2rpm >= 1.0.0

%description
R2spec is a small python tool that generates spec file for R libraries.
It can work from a URL or a tarball.
R2spec provides R2rpm which generates rpm for R libraries using the 
R2spec API.


%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot} 
install r2spec/specfile.tpl %{buildroot}/%{python_sitelib}/r2spec/
chmod -x %{buildroot}/%{python_sitelib}/r2spec/specfile.tpl

%clean
rm -rf %{buildroot}

%files 
#-f installed_files2
%defattr(-,root,root,-)
%doc README LICENSE CHANGELOG
%{python_sitelib}/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/R2rpm
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/R2rpm.1.gz

%changelog
* Tue Jul 28 2010 pingou <pingou-at-pingoured.fr> 3.0.3-1
- Release 3.0.3

* Tue Jul 27 2010 pingou <pingou-at-pingoured.fr> 3.0.2-2
- Change python to %%{__python} (enables to specify 
   the python version at build time) Request from Olivier Lahaye

* Tue Jun 29 2010 pingou <pingou-at-pingoured.fr> 3.0.2-1
- Release 3.0.2

* Mon Jun 28 2010 pingou <pingou-at-pingoured.fr> 3.0.1-1
- Release version 3.0.1
- Update the description (R2spec is now more a tool than a script)

* Wed May 05 2010 pingou <pingou-at-pingoured.fr> 3.0.0-1
- Release version 3.0.0
- Update the description

* Wed May 05 2010 pingou <pingou-at-pingoured.fr> 3.0.0-0.9
- Prerelease 0.9
- Small bug fixes
- The argument to rpmbuild is configurable
- Fix typo in changelog
- Add fedora-packager as Requires

* Sat Mar 27 2010 ingou <pingou-at-pingoured.fr> 3.0.0-0.8
- Prerelease 0.8
- Enable to specify the command in the conf file

* Sat Mar 27 2010 ingou <pingou-at-pingoured.fr> 3.0.0-0.7
- Prerelease 0.7
- Fix the formatting of the description
- Option to use mock to build the RPMs

* Fri Mar 26 2010 ingou <pingou-at-pingoured.fr> 3.0.0-0.6
- Prerelease 0.6
- Fix R2rpm.py

* Thu Mar 25 2010 Pingou <pingou-at-pingoured.fr> 3.0.0-0.5
- Prerelease 0.5
- Do not print the todo while running R2rpm
- Fix summary if ends with a dot
- Refactor the function to read the rpm macro
- Change UTF-8 to utf-8 to make emacs happy

* Wed Mar 24 2010 Pingou <pingou-at-pingoured.fr> 3.0.0-0.4
- Prerelease 0.4
- Fix the description to fit in the length
- Add wget in the requires

* Wed Mar 24 2010 Pingou <pingou-at-pingoured.fr> 3.0.0-0.3
- Prerelease 0.3
- Add the -p option to build from a package name
- Output the rpm generated

* Tue Mar 23 2010 Pingou <pingou-at-pingoured.fr> 3.0.0-0.2
- Prerelease 0.2 
- Add the -p option to build from a package name
- Add the man page for R2rpm
- Fix release
- Fix changelog

* Sun Mar 07 2010 Pingou <pingou-at-pingoured.fr> 3.0.0-0.1
- Prerelease 0.1
- Add the R2rpm script

* Sun Aug 02 2009 Pingou <pingou-at-pingoured.fr> 2.5.3-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 22 2009 Pingou <pingou-at-pingoured.fr> 2.5.2-2
- Correct the source0

* Sun Mar 22 2009 Pingou <pingou-at-pingoured.fr> 2.5.2-1
- New upstream release

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 07 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-6
- Correct the third sed 

* Sun Dec 07 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-5
- Add the new sed to change the ~

* Sun Dec 07 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-4
- Remove the Patch0

* Fri Dec 05 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-3
- Apply patch for copy of the sources

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.5.1-2
- Rebuild for Python 2.6

* Tue Oct 07 2008 Pingou <pingou-at-pingoured.fr> 2.5.1-1
- New upstream release

* Sun Aug 31 2008 Pingou <pingou-at-pingoured.fr> 2.5.0-3
- Bring __init__.py back :)

* Sun Aug 31 2008 Pingou <pingou-at-pingoured.fr> 2.5.0-2
- Change Source0 to the correct one
- Correct a bug SOURCES != SOURCe
- Remove file __init__.py
- Change defattr(-,root,root) to defattr(-,root,root,-)

* Sun Aug 31 2008 Pingou <pingou-at-pingoured.fr> 2.5.0-1
- New upstream release

* Thu Aug 28 2008 Pingou <pingou-at-pingoured.fr> 2.4.2-1
- Update to version 2.4.2

* Wed Aug 20 2008 Pingou <pingou-at-pingoured.fr> 2.4.1-1
- Update to version 2.4.1

* Sun Aug 18 2008 Pingou <pingou-at-pingoured.fr> 2.4.0-1
- Update to version 2.4.0
- Addition of the spec into the sources

* Mon Aug 11 2008 Pingou <pingou-at-pingoured.fr> 2.3-2
- Change the source0 and url thanks to fedorahosted.org

* Sun Aug 10 2008 Pingou <pingou-at-pingoured.fr> 2.3-1
- Update to version 2.3

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.2-1
- Update to version 2.2

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.1-1
- Update to version 2.1

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.0-1
- Update to version 2.0

* Tue Jul 29 2008 Pingou <pingou-at-pingoured.fr> 1.3-1
- First RPM for Fedora
